org.apache.poi.hslf.usermodel

## Class HSLFConnectorShape

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFShape
  - - org.apache.poi.hslf.usermodel.HSLFSimpleShape
    - - org.apache.poi.hslf.usermodel.HSLFConnectorShape

- All Implemented Interfaces:
    IAdjustableShape, ConnectorShape<HSLFShape,HSLFTextParagraph>, PlaceableShape<HSLFShape,HSLFTextParagraph>, Shape<HSLFShape,HSLFTextParagraph>, SimpleShape<HSLFShape,HSLFTextParagraph>

      @Beta
      public class HSLFConnectorShape
      extends HSLFSimpleShape
      implements ConnectorShape<HSLFShape,HSLFTextParagraph>

  Specifies a connection shape. This is currently only a dummy implementation.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.usermodel.HSLFSimpleShape

      `_hyperlink, ADJUST_VALUES, DEFAULT_LINE_WIDTH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HSLFConnectorShape()` Create a new ConnectorShape.
    `protected` | `HSLFConnectorShape(EscherContainerRecord escherRecord, ShapeContainer<HSLFShape,HSLFTextParagraph> parent)` Create a ConnectorShape object and initialize it from the supplied Record container.
    `` | `HSLFConnectorShape(ShapeContainer<HSLFShape,HSLFTextParagraph> parent)` Create a new ConnectorShape.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFSimpleShape

      `createHyperlink, createSpContainer, getAdjustValue, getFillColor, getGeometry, getHyperlink, getLineBackgroundColor, getLineCap, getLineColor, getLineCompound, getLineDash, getLineDecoration, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getPlaceholder, getPlaceholderDetails, getShadow, getShadowAngle, getShadowColor, getShadowDistance, getStrokeStyle, isPlaceholder, setFillColor, setHyperlink, setLineBackgroundColor, setLineCap, setLineColor, setLineCompound, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setPlaceholder, setStrokeStyle`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFShape

      `afterInsert, draw, getAnchor, getClientData, getClientDataRecord, getClientRecords, getEscherChild, getEscherChild, getEscherChild, getEscherChild, getEscherOptRecord, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getFillStyle, getFlipHorizontal, getFlipVertical, getParent, getRotation, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setEscherProperty, setEscherProperty, setEscherProperty, setFlipHorizontal, setFlipVertical, setRotation, setShapeId, setShapeType, setSheet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.SimpleShape

      `createHyperlink, getFillColor, getFillStyle, getGeometry, getHyperlink, getLineDecoration, getPlaceholder, getPlaceholderDetails, getShadow, getShapeType, getStrokeStyle, isPlaceholder, setFillColor, setPlaceholder, setShapeType, setStrokeStyle`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getAnchor, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.draw.geom.IAdjustableShape

      `getAdjustValue`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getAnchor, getFlipHorizontal, getFlipVertical, getParent, getRotation, getSheet, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

- - ### Constructor Detail

    - #### HSLFConnectorShape

          protected HSLFConnectorShape(EscherContainerRecord escherRecord,
                                       ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

      Create a ConnectorShape object and initialize it from the supplied Record container.
      Parameters:
        `escherRecord` - `EscherSpContainer` container which holds information about this shape
        `parent` - the parent of the shape

    - #### HSLFConnectorShape

          public HSLFConnectorShape(ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

      Create a new ConnectorShape. This constructor is used when a new shape is created.
      Parameters:
        `parent` - the parent of this Shape. For example, if this text box is a cell in a table then the parent is Table.

    - #### HSLFConnectorShape

          public HSLFConnectorShape()

      Create a new ConnectorShape. This constructor is used when a new shape is created.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.